kind: pipeline
type: docker
name: default
steps:
- name: create-settings-xml
  image: robertstettner/drone-mvn-auth:latest
  settings:
    servers:
      from_secret: maven_servers
- name: test and deploy
  image: maven:3-jdk-10
  commands:
  - mvn install -DskipTests=true -Dmaven.javadoc.skip=true -B -V
  - mvn test -B
  - mvn clean deploy -DskipTests -gs settings.xml